Bug 487009 - HAL incorrectly considers my phone to be a GSM phone
HAL incorrectly considers my phone to be a GSM phone
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-23 12:07 EST by Derek Atkins
Modified: 2009-12-18 03:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:01:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Atkins 2009-02-23 12:07:58 EST
Description of problem:

I have a Samsung a900m phone on the SprintPCS network.  It's a CDMA phone, but HAL incorrectly defines it as a GSM phone.  This means that NetworkManager incorrectly processes the phone.

Version-Release number of selected component (if applicable):

hal-info-20090202-1.fc10.noarch

How reproducible:

100%

Steps to Reproduce:
1. Plug in my a900m via USB
2. Watch NM consider it a GSM phone
3.
  
Actual results:

It gets considered a GSM phone

Expected results:

It should be considered a CDMA phone

Additional info:

Making this change seems to fix it for me, but I suspect this is not the right solution.

--- /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi-rpm-orig	2008-12-
19 08:11:51.000000000 -0500
+++ /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi
2009-01-16 17:22:45.000000000 -0500
@@ -66,8 +66,7 @@
       <match key="@info.parent:usb.vendor_id" int="0x04e8">
         <match key="@info.parent:usb.product_id" int="0x6601">
           <match key="@info.parent:usb.interface.number" int="0">
-            <append key="modem.command_sets" type="strlist">GSM-07.07</append>
-            <append key="modem.command_sets" type="strlist">GSM-07.05</append>
+            <append key="modem.command_sets" type="strlist">IS-707-A</append>
           </match>
         </match>
       </match>
Comment 1 Bug Zapper 2009-11-18 06:12:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 03:01:22 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.